The cyclomatic complexity of methods should not exceed a defined threshold.

Complex code can perform poorly and will in any case be difficult to understand and therefore to maintain.

== Exceptions

While having a large number of fields in a class may indicate that it should be split, this rule nonetheless ignores high complexity in ``++equals++`` and ``++hashCode++`` methods.

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
